import { ref as _, defineComponent as w, reactive as b, onMounted as E, resolveComponent as m, openBlock as h, createBlock as W, mergeProps as D, withCtx as n, createVNode as s, nextTick as B, createTextVNode as C, createElementBlock as I, createElementVNode as M, unref as y } from "vue";
import { message as P, Card as O, Button as R } from "ant-design-vue";
import { C as T } from "./index.8b82502c.js";
import { d as g, _ as k, W as L, e as A, k as $, h as x } from "./index.43c70f30.js";
import { useRouter as S } from "vue-router";
import "axios";
import "sanzhi-form-design-vue3";
const v = _([]);
async function V(o) {
  try {
    const e = await g("apis").getWorkflowCategoryTree({ ...o, parentId: 0 });
    return v.value = e.data, e || [];
  } catch (e) {
    throw new Error(e);
  }
}
async function U(o) {
  try {
    const e = await g("apis").addOrUpdateWorkflowCategory({ body: o });
    return P.success("\u64CD\u4F5C\u6210\u529F"), e || [];
  } catch (e) {
    throw new Error(e);
  }
}
function Y() {
  return {
    layout: "vertical",
    rowAttr: {
      gutter: { xs: 8, sm: 16, md: 24 }
    },
    baseColAttr: {
      span: 12
    },
    columns: [{
      label: "\u5206\u7C7B\u540D\u79F0",
      field: "name",
      component: "a-input"
    }, {
      label: "\u7C7B\u578B",
      field: "type",
      defaultValue: "WORKFLOW",
      component: "dict-select",
      componentProps: {
        dict: "CATEGORY_TYPE"
      }
    }, {
      label: "\u4E0A\u7EA7",
      field: "parentId",
      component: "a-cascader",
      componentProps: {
        options: v,
        "change-on-select": !0,
        fieldNames: {
          label: "name",
          value: "id"
        }
      }
    }, {
      label: "\u6392\u5E8F",
      field: "sort",
      component: "a-input-number"
    }]
  };
}
V({ type: "WORKFLOW" });
const K = w({
  components: { WorkflowStatus: L, ConfigForm: A },
  props: {
    hideActions: {
      type: [Boolean],
      default: !1
    }
  },
  emits: ["register", "success"],
  setup(o, { emit: e }) {
    S();
    const a = b({
      formData: {},
      formProps: {},
      actionLoading: !1
    });
    a.formProps = Y();
    const t = _(!1), l = _({}), p = {};
    function f(c) {
      Object.assign(p, c);
    }
    async function i(c = {}) {
      t.value = !0;
      const { data: r = {}, isUpdate: F } = c;
      l.value = r, await B(), await p.resetFormData(), F && (r.parentId = `${r.parentId}`, a.formData = r);
    }
    function u() {
      t.value = !1;
    }
    async function d() {
      const { parentId: c = [] } = a.formData;
      try {
        a.actionLoading = !0, await U({ ...a.formData, parentId: c.pop ? c.pop() : c });
      } catch (r) {
        console.log(r);
        return;
      } finally {
        a.actionLoading = !1;
      }
      e("success"), u();
    }
    return E(() => {
      e("register", { openModal: i, closeModal: u });
    }), {
      visible: t,
      modalData: l,
      state: a,
      closeModal: u,
      handleSave: d,
      registerForm: f
    };
  }
}), N = /* @__PURE__ */ C("\u4FDD\u5B58"), Q = /* @__PURE__ */ C("\u53D6\u6D88");
function G(o, e, a, t, l, p) {
  const f = m("ConfigForm"), i = m("a-button"), u = m("a-col"), d = m("a-row"), c = m("a-drawer");
  return h(), W(c, D({
    title: "\u7F16\u8F91\u6D41\u7A0B\u5206\u7C7B",
    visible: o.visible,
    "onUpdate:visible": e[1] || (e[1] = (r) => o.visible = r),
    width: "800px"
  }, o.$attrs), {
    footer: n(() => [
      s(d, {
        gutter: 15,
        justify: "end"
      }, {
        default: n(() => [
          s(u, null, {
            default: n(() => [
              s(i, {
                type: "primary",
                onClick: o.handleSave,
                loading: o.state.actionLoading
              }, {
                default: n(() => [
                  N
                ]),
                _: 1
              }, 8, ["onClick", "loading"])
            ]),
            _: 1
          }),
          s(u, null, {
            default: n(() => [
              s(i, {
                onClick: o.closeModal,
                loading: o.state.actionLoading
              }, {
                default: n(() => [
                  Q
                ]),
                _: 1
              }, 8, ["onClick", "loading"])
            ]),
            _: 1
          })
        ]),
        _: 1
      })
    ]),
    default: n(() => [
      s(f, {
        modelValue: o.state.formData,
        "onUpdate:modelValue": e[0] || (e[0] = (r) => o.state.formData = r),
        formProps: o.state.formProps,
        onRegister: o.registerForm
      }, null, 8, ["modelValue", "formProps", "onRegister"])
    ]),
    _: 1
  }, 16, ["visible"]);
}
const Z = /* @__PURE__ */ k(K, [["render", G], ["__scopeId", "data-v-50bfca2b"]]);
async function j(o) {
  try {
    const e = await g("apis").deleteWorkflowCategoryById(o);
    return P.success("\u5220\u9664\u6210\u529F"), e;
  } catch (e) {
    throw new Error(e);
  }
}
function z(o = {}) {
  return {
    rowKey: "id",
    columns: [
      {
        title: "\u5206\u7C7B\u540D\u79F0",
        dataIndex: "name"
      },
      {
        title: "\u7C7B\u578B",
        dataIndex: "type",
        customRender: function({ record: t }) {
          return g("showDictionary")("CATEGORY_TYPE", t.type);
        }
      },
      {
        title: "\u6392\u5E8F",
        dataIndex: "sort"
      },
      {
        title: "\u521B\u5EFA\u65E5\u671F",
        dataIndex: "createTime"
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 90,
        fixed: "right",
        buttons: [
          {
            title: "\u7F16\u8F91",
            icon: "edit-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(t) {
              o.categoryModal.openModal({ data: t, isUpdate: !0 });
            }
          },
          {
            title: "\u5220\u9664",
            icon: "delete-outlined",
            props: {
              danger: !0
            },
            key: "delete",
            onClick: async function(t) {
              try {
                await $({});
              } catch {
                return;
              }
              j({ id: t.id });
            }
          }
        ]
      }
    ]
  };
}
function q() {
  return {
    formProps: {
      columns: [{
        field: "keywords",
        label: "\u5173\u952E\u5B57"
      }, {
        label: "\u7C7B\u578B",
        field: "type",
        defaultValue: "WORKFLOW",
        component: "dict-select",
        componentProps: {
          dict: "CATEGORY_TYPE",
          selectProps: {
            allowClear: !0
          }
        }
      }]
    }
  };
}
const H = { class: "workflow-category" }, J = { class: "right" }, X = /* @__PURE__ */ C(" \u65B0\u589E "), ee = /* @__PURE__ */ w({
  __name: "SanZhiWorkflowCategory",
  setup(o) {
    const e = {};
    function a(i) {
      e.table = i;
    }
    function t(i) {
      e.categoryModal = i;
    }
    const l = b({
      locationQuery: x(),
      formProps: q(),
      tableProps: z(e),
      tabsList: [],
      tableQuery: {
        type: "WORKFLOW"
      },
      tableData: {},
      loading: !1,
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    });
    function p() {
      return g("apis").getWorkflowCategoryPageList;
    }
    function f() {
      e.categoryModal.openModal();
    }
    return (i, u) => {
      var d;
      return h(), I("div", H, [
        M("div", J, [
          s(y(O), { size: "small" }, {
            default: n(() => [
              s(y(T), {
                api: p(),
                extraParams: l.tableQuery,
                tableProps: l.tableProps,
                formProps: l.formProps,
                onRegister: a
              }, {
                formRight: n(() => [
                  s(y(R), {
                    type: "primary",
                    onClick: f,
                    loading: l.loading
                  }, {
                    default: n(() => [
                      X
                    ]),
                    _: 1
                  }, 8, ["loading"])
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        s(Z, {
          onRegister: t,
          onSuccess: (d = e == null ? void 0 : e.table) == null ? void 0 : d.reload
        }, null, 8, ["onSuccess"])
      ]);
    };
  }
});
const ie = /* @__PURE__ */ k(ee, [["__scopeId", "data-v-19e83603"]]);
export {
  ie as default
};
